Interface EffectivePermissionClient
- All Known Implementing Classes:
EffectivePermissionClientImpl
public interface EffectivePermissionClient
Internal client for the IAM effective-permissions resolution:
GET /v1/projects/{projectId}/effectivePermissions (operationId
getEffectivePermissions).-
Method Summary
Modifier and TypeMethodDescriptiongetEffectivePermissions(String projectId, String serviceId, String projectErn) Resolves the effective permissions for the given project and service (operationIdgetEffectivePermissions).
-
Method Details
-
getEffectivePermissions
Resolves the effective permissions for the given project and service (operationIdgetEffectivePermissions).- Parameters:
projectId- the project identifier (path parameter)serviceId- the service to resolve permissions for (required query parameter)projectErn- the project ERN to scope resolution to, ornull(optional query parameter)- Returns:
- the resolved effective permissions
-